Bug 189469 - Swap not activated with automatic partitioning
Swap not activated with automatic partitioning
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: booty (Show other bugs)
4.0
ppc64 Linux
high Severity high
: ---
: ---
Assigned To: David Lehman
: OtherQA
Depends On:
Blocks: 176344 185483 198694 234251 234547
  Show dependency treegraph
 
Reported: 2006-04-20 05:44 EDT by Bastien Nocera
Modified: 2010-10-22 00:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0822
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:07:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-04-20 05:44:09 EDT
Using RHEL4 U3 on pSeries.

After having installed RHEL4 on the machine once (with an automatic partitioning
for example), the subsequent installation will fail to activate the swap.

1. Install RHEL4 on a pSeries
2. Restart a RHEL4 U3 installation
3. Select "automatic partitioning"
4. Select "Remove all Linux partitions on this system"
5. Carry on with the default
6. Once rebooted, the installation will fail to activate the swap on LV LogVol01

Notes:
- Running mkswap on this LV and running "swapon -a" will activate the swap properly
- Selecting "Remove all partitions on this system" at step 4. will format the
swap and activate it properly
- The problem only occurs on pSeries machine, and might be due to the "PPC PReP
Boot" partition not being a "Linux" partition
Comment 1 David Lawrence 2006-04-27 13:23:08 EDT
Mistakenly added IBM group, removing.
Comment 3 RHEL Product and Program Management 2006-08-18 12:13:59 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Peter Jones 2006-08-28 12:03:55 EDT
Assuming we can replicate this problem, ACK for 4.5
Comment 8 RHEL Product and Program Management 2007-04-17 17:18:21 EDT
Although this bugzilla was approved for RHEL 4.5, we were unable
to resolve it in time to be included in the release.  Therefore
it is now proposed for RHEL 4.6.
Comment 9 RHEL Product and Program Management 2007-05-09 06:35:42 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 15 John Poelstra 2007-08-28 19:54:18 EDT
A fix for this issue should have been included in the packages contained in the
RHEL4.6 Beta released on RHN (also available at partners.redhat.com).  

Requested action: Please verify that your issue is fixed to ensure that it is
included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 18 John Poelstra 2007-09-05 18:20:33 EDT
A fix for this issue should have been included in the packages contained in 
the RHEL4.6-Snapshot1 on partners.redhat.com.  

Requested action: Please verify that your issue is fixed to ensure that it is 
included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed, 
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent 
symptoms of the problem you are having and change the status of the bug to 
FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test 
results to Issue Tracker.  If you need assistance accessing 
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 19 John Poelstra 2007-09-11 20:39:30 EDT
A fix for this issue should be included in RHEL4.6-Snapshot2--available soon on
partners.redhat.com.  

Please verify that your issue is fixed to ensure that it is included in this
update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 21 errata-xmlrpc 2007-11-15 11:07:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0822.html

Note You need to log in before you can comment on or make changes to this bug.